package abacus.springboot.example.api.view;

import java.util.List;

import io.swagger.v3.oas.annotations.media.Schema;

@Schema(description = "稽查收货主单" , name = "ApiReqJcBill")
public class ApiReqJcBill {
	
	@Schema(description="稽查单号", required = false, pattern = "修改时必填", example="JC202411180001")
	private String id;
	
	@Schema(description = "收货产品", required = false, example = "钓鱼台")
	private String goods;
	
	@Schema(description = "收货日期", required = false, example = "2024-11-11")
	private String receivedt;
	
	@Schema(description = "收货仓库编码", required = false, example = "9090025")
	private String warehouse;
	
	@Schema(description = "收货仓库名称", required = false, example = "精品广州库")
	private String warehousename; 
	
	@Schema(description = "申请人编码", required = true, example = "zhangsan")
	private String applicant;
	
	@Schema(description = "申请人名称", required = true, example = "张三")
	private String applicantname;
	
	@Schema(description="稽查收货明细", required = false, example="")
	private List<ApiReqJcBillItem> items;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getGoods() {
		return goods;
	}

	public void setGoods(String goods) {
		this.goods = goods;
	}

	public String getReceivedt() {
		return receivedt;
	}

	public void setReceivedt(String receivedt) {
		this.receivedt = receivedt;
	}

	public String getWarehouse() {
		return warehouse;
	}

	public void setWarehouse(String warehouse) {
		this.warehouse = warehouse;
	}

	public String getWarehousename() {
		return warehousename;
	}

	public void setWarehousename(String warehousename) {
		this.warehousename = warehousename;
	}

	public String getApplicant() {
		return applicant;
	}

	public void setApplicant(String applicant) {
		this.applicant = applicant;
	}

	public String getApplicantname() {
		return applicantname;
	}

	public void setApplicantname(String applicantname) {
		this.applicantname = applicantname;
	}

	public List<ApiReqJcBillItem> getItems() {
		return items;
	}

	public void setItems(List<ApiReqJcBillItem> items) {
		this.items = items;
	}
}
